View Issue Details

IDProjectCategoryView StatusLast Update
0031888Lazarus-public2017-05-22 10:53
ReporterJohn ShandAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.9 (SVN)Product Build 
Target Version1.8Fixed in Version1.9 (SVN) 
Summary0031888: (3104) Compiling externhelpfrm.pas
Description(3104) Compiling externhelpfrm.pas
/home/jshand/rpm/BUILD/lazarus-1.9.0/lazarus/components/externhelp/externhelpfrm.pas(41,79) Error: (5002) Duplicate identifier "IDEIMAGESINTF"
/home/jshand/rpm/BUILD/lazarus-1.9.0/lazarus/components/externhelp/externhelpfrm.pas(41,79) Error: (5002) Duplicate identifier "IDEImagesIntf"
/home/jshand/rpm/BUILD/lazarus-1.9.0/lazarus/components/externhelp/externhelpfrm.pas(41,79) Hint: (5003) Identifier already defined in externhelpfrm.pas at line 41
/home/jshand/rpm/BUILD/lazarus-1.9.0/lazarus/components/externhelp/externhelpfrm.pas(272,1) Fatal: (10026) There were 2 errors compiling module, stopping
Fatal: (1018) Compilation aborted
make[2]: *** [Makefile:2785: externhelp.ppu] Error 1
make[2]: Leaving directory '/home/jshand/rpm/BUILD/lazarus-1.9.0/lazarus/components/externhelp'
make[1]: *** [Makefile:1625: bigide] Error 2
make[1]: Leaving directory '/home/jshand/rpm/BUILD/lazarus-1.9.0/lazarus/components'
make: *** [Makefile:3150: bigidecomponents] Error 2
error: Bad exit status from /home/jshand/rpm/tmp/rpm-tmp.viF1Hv (%build)


RPM build errors:
    Bad exit status from /home/jshand/rpm/tmp/rpm-tmp.viF1Hv (%build)
Steps To Reproduce./create_lazarus_rpm.sh
Additional InformationLazarus Version:

Working Copy Root Path: /home/jshand/lazarus
URL: https://svn.freepascal.org/svn/lazarus/trunk
Relative URL: ^/trunk
Repository Root: https://svn.freepascal.org/svn/lazarus
Repository UUID: 4005530d-fff6-0310-9dd1-cebe43e6787f
Revision: 55036
Node Kind: directory
Schedule: normal
Last Changed Author: balazs
Last Changed Rev: 55036
Last Changed Date: 2017-05-22 09:00:29 +1200 (Mon, 22 May 2017)

FPC Version:

Working Copy Root Path: /home/jshand/fpc
URL: https://svn.freepascal.org/svn/fpc/branches/fixes_3_0
Relative URL: ^/branches/fixes_3_0
Repository Root: https://svn.freepascal.org/svn/fpc
Repository UUID: 3ad0048d-3df7-0310-abae-a5850022a9f2
Revision: 36290
Node Kind: directory
Schedule: normal
Last Changed Author: michael
Last Changed Rev: 36272
Last Changed Date: 2017-05-20 18:12:06 +1200 (Sat, 20 May 2017)
TagsNo tags attached.
Fixed in Revisionr55038
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

John Shand

2017-05-22 00:58

reporter   ~0100567

i must say that this is a compilation error.

Michl

2017-05-22 10:53

developer   ~0100587

Fixed in trunk in revision 55038. Please close if ok.

Issue History

Date Modified Username Field Change
2017-05-22 00:57 John Shand New Issue
2017-05-22 00:58 John Shand Note Added: 0100567
2017-05-22 10:53 Michl Fixed in Revision => r55038
2017-05-22 10:53 Michl LazTarget => -
2017-05-22 10:53 Michl Note Added: 0100587
2017-05-22 10:53 Michl Status new => resolved
2017-05-22 10:53 Michl Fixed in Version => 1.9 (SVN)
2017-05-22 10:53 Michl Resolution open => fixed
2017-05-22 10:53 Michl Assigned To => Michl
2017-05-22 10:53 Michl Target Version => 1.8